<rtflowfile version="1.0">
   <block name="PositiveEdge" folder="Standard\Dynamic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="8" y1="24" x2="16" y2="24" style="solid"/>
      <graphic class="line" x1="16" y1="24" x2="16" y2="8" style="solid"/>
      <graphic class="line" x1="16" y1="8" x2="24" y2="8" style="solid"/>
      <doc>Detects when a boolean signal switches from 0 to 1.</doc>
      <port name="i" type="bool" x="0" y="16" kind="input" dir="left">
         <doc>The signal whose positive edges to detect.</doc>
      </port>
      <port name="o" type="bool" x="32" y="16" kind="output" dir="right">
         <doc>1 if i is 1 in this cycle and was 0 in the previous cycle, 0 otherwise.</doc>
      </port>
   </block>
   <schematic width="930" height="602" name="PositiveEdge">
      <editor gridsize="16" alignports="true"/>
      <binstance name="Pre2" block="Pre" x="128" y="48">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="i" block="BoolInput" x="48" y="56"/>
      <binstance name="And1" block="And" x="240" y="96"/>
      <binstance name="Not1" block="Not" x="192" y="96"/>
      <binstance name="o" block="BoolOutput" x="320" y="104"/>
      <connection name="i" port1="i.o" port2="Pre2.i0">
         <point x="64" y="64"/>
         <point x="128" y="64"/>
      </connection>
      <connection name="Not1_o_1" port1="Not1.o" port2="And1.i1">
         <point x="216" y="104"/>
         <point x="240" y="104"/>
      </connection>
      <connection name="Pre2_o_1" port1="Pre2.o" port2="Not1.i0">
         <point x="160" y="64"/>
         <point x="176" y="64"/>
         <point x="176" y="104"/>
         <point x="192" y="104"/>
      </connection>
      <connection name="i" port1="i.o" port2="And1.i0">
         <point x="64" y="64"/>
         <point x="112" y="64"/>
         <point x="112" y="120"/>
         <point x="240" y="120"/>
      </connection>
      <connection name="o" port1="And1.o" port2="o.i0">
         <point x="272" y="112"/>
         <point x="320" y="112"/>
      </connection>
   </schematic>
</rtflowfile>
